Package com.sun.jna.platform.win32.COM

## Class Wbemcli.IWbemClassObject

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.win32.COM.COMInvoker
    - - com.sun.jna.platform.win32.COM.Unknown
      - - com.sun.jna.platform.win32.COM.Wbemcli.IWbemClassObject

- All Implemented Interfaces:
    `NativeMapped`, `IUnknown`
  Enclosing interface:
    Wbemcli

      public static class Wbemcli.IWbemClassObject
      extends Unknown

  Contains and manipulates both WMI class definitions and class object instances.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.platform.win32.COM.Unknown

      `Unknown.ByReference`

  - ### Field Summary

    - ### Fields inherited from interface com.sun.jna.platform.win32.COM.IUnknown

      `IID_IUNKNOWN`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IWbemClassObject()` |
    `IWbemClassObject​(Pointer pvInstance)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `WinNT.HRESULT` | `Get​(WString wszName, int lFlags, Variant.VARIANT.ByReference pVal, IntByReference pType, IntByReference plFlavor)` |
    `WinNT.HRESULT` | `Get​(java.lang.String wszName, int lFlags, Variant.VARIANT.ByReference pVal, IntByReference pType, IntByReference plFlavor)` |
    `WinNT.HRESULT` | `GetNames​(WString wszQualifierName, int lFlags, Variant.VARIANT.ByReference pQualifierVal, PointerByReference pNames)` |
    `java.lang.String[]` | `GetNames​(java.lang.String wszQualifierName, int lFlags, Variant.VARIANT.ByReference pQualifierVal)` |
    `WinNT.HRESULT` | `GetNames​(java.lang.String wszQualifierName, int lFlags, Variant.VARIANT.ByReference pQualifierVal, PointerByReference pNames)` |

    - ### Methods inherited from class com.sun.jna.platform.win32.COM.Unknown

      `AddRef, QueryInterface, Release`

    - ### Methods inherited from class com.sun.jna.platform.win32.COM.COMInvoker

      `_invokeNativeInt, _invokeNativeObject, _invokeNativeVoid`

    - ### Methods inherited from class com.sun.jna.PointerType

      `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IWbemClassObject

          public IWbemClassObject()

    - #### IWbemClassObject

          public IWbemClassObject​(Pointer pvInstance)

  - ### Method Detail

    - #### Get

          public WinNT.HRESULT Get​(WString wszName,
                                   int lFlags,
                                   Variant.VARIANT.ByReference pVal,
                                   IntByReference pType,
                                   IntByReference plFlavor)

    - #### Get

          public WinNT.HRESULT Get​(java.lang.String wszName,
                                   int lFlags,
                                   Variant.VARIANT.ByReference pVal,
                                   IntByReference pType,
                                   IntByReference plFlavor)

    - #### GetNames

          public WinNT.HRESULT GetNames​(java.lang.String wszQualifierName,
                                        int lFlags,
                                        Variant.VARIANT.ByReference pQualifierVal,
                                        PointerByReference pNames)

    - #### GetNames

          public WinNT.HRESULT GetNames​(WString wszQualifierName,
                                        int lFlags,
                                        Variant.VARIANT.ByReference pQualifierVal,
                                        PointerByReference pNames)

    - #### GetNames

          public java.lang.String[] GetNames​(java.lang.String wszQualifierName,
                                             int lFlags,
                                             Variant.VARIANT.ByReference pQualifierVal)